Search Results for

    Show / Hide Table of Contents

    Class ConicCrossSection

    Inheritance
    System.Object
    System.MarshalByRefObject
    NXRemotableObject
    TaggedObject
    ConicCrossSection
    Implements
    System.Runtime.Remoting.Messaging.IMessageSink
    IComponentBuilder
    Inherited Members
    TaggedObject.initialize()
    TaggedObject.ToString()
    TaggedObject.PrintTestData(String)
    TaggedObject.PrintTestData(String, Int32)
    TaggedObject.Tag
    NXRemotableObject.SyncProcessMessage(IMessage)
    NXRemotableObject.AsyncProcessMessage(IMessage, IMessageSink)
    NXRemotableObject.NextSink
    System.MarshalByRefObject.CreateObjRef(System.Type)
    System.MarshalByRefObject.GetLifetimeService()
    System.MarshalByRefObject.InitializeLifetimeService()
    System.MarshalByRefObject.MemberwiseClone(System.Boolean)
    System.Object.Equals(System.Object)
    System.Object.Equals(System.Object, System.Object)
    System.Object.GetHashCode()
    System.Object.GetType()
    System.Object.MemberwiseClone()
    System.Object.ReferenceEquals(System.Object, System.Object)
    Namespace: NXOpen.GeometricUtilities
    Assembly: NXOpen.dll
    Syntax
    public class ConicCrossSection : TaggedObject, IMessageSink, IComponentBuilder

    Constructors

    ConicCrossSection()

    Declaration
    protected ConicCrossSection()

    Properties

    ConicMethod

    Declaration
    public ConicCrossSection.DefineMethod ConicMethod { get; set; }
    Property Value
    Type Description
    ConicCrossSection.DefineMethod

    Depth

    Declaration
    public Expression Depth { get; }
    Property Value
    Type Description
    Expression

    DepthLawControl

    Declaration
    public LawBuilder DepthLawControl { get; }
    Property Value
    Type Description
    LawBuilder

    DepthOption

    Declaration
    public ConicCrossSection.DepthMethod DepthOption { get; set; }
    Property Value
    Type Description
    ConicCrossSection.DepthMethod

    FirstConstraintCurveCollector

    Declaration
    public ScCollector FirstConstraintCurveCollector { get; set; }
    Property Value
    Type Description
    ScCollector

    FirstLawControl

    Declaration
    public LawBuilder FirstLawControl { get; }
    Property Value
    Type Description
    LawBuilder

    FirstOffset

    Declaration
    public Expression FirstOffset { get; }
    Property Value
    Type Description
    Expression

    FirstOffsetOption

    Declaration
    public ConicCrossSection.OffsetMethod FirstOffsetOption { get; set; }
    Property Value
    Type Description
    ConicCrossSection.OffsetMethod

    OffsetSkewRatio

    Declaration
    public Expression OffsetSkewRatio { get; }
    Property Value
    Type Description
    Expression

    Rho

    Declaration
    public Expression Rho { get; }
    Property Value
    Type Description
    Expression

    RhoLawControl

    Declaration
    public LawBuilder RhoLawControl { get; }
    Property Value
    Type Description
    LawBuilder

    RhoOption

    Declaration
    public ConicCrossSection.RhoMethod RhoOption { get; set; }
    Property Value
    Type Description
    ConicCrossSection.RhoMethod

    SecondConstraintCurveCollector

    Declaration
    public ScCollector SecondConstraintCurveCollector { get; set; }
    Property Value
    Type Description
    ScCollector

    SecondLawControl

    Declaration
    public LawBuilder SecondLawControl { get; }
    Property Value
    Type Description
    LawBuilder

    SecondOffset

    Declaration
    public Expression SecondOffset { get; }
    Property Value
    Type Description
    Expression

    SecondOffsetOption

    Declaration
    public ConicCrossSection.OffsetMethod SecondOffsetOption { get; set; }
    Property Value
    Type Description
    ConicCrossSection.OffsetMethod

    ShapeSkew

    Declaration
    public Expression ShapeSkew { get; }
    Property Value
    Type Description
    Expression

    ShapeSkewLawControl

    Declaration
    public LawBuilder ShapeSkewLawControl { get; }
    Property Value
    Type Description
    LawBuilder

    ShapeSkewOption

    Declaration
    public ConicCrossSection.ShapeSkewMethod ShapeSkewOption { get; set; }
    Property Value
    Type Description
    ConicCrossSection.ShapeSkewMethod

    TransitionLinkFlag

    Declaration
    public bool TransitionLinkFlag { get; set; }
    Property Value
    Type Description
    System.Boolean

    Methods

    SetFirstOffset(String)

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  To set the value of the expression modify the expression directly using NXOpen.GeometricUtilities.ConicCrossSection.FirstOffset and NXOpen.Expression.RightHandSide.")]
    public void SetFirstOffset(string offset)
    Parameters
    Type Name Description
    System.String offset

    SetLawControlConstantDepth(String)

    Declaration
    public void SetLawControlConstantDepth(string radius)
    Parameters
    Type Name Description
    System.String radius

    SetLawControlConstantFirstOffset(String)

    Declaration
    public void SetLawControlConstantFirstOffset(string radius)
    Parameters
    Type Name Description
    System.String radius

    SetLawControlConstantRho(String)

    Declaration
    public void SetLawControlConstantRho(string radius)
    Parameters
    Type Name Description
    System.String radius

    SetLawControlConstantSecondOffset(String)

    Declaration
    public void SetLawControlConstantSecondOffset(string radius)
    Parameters
    Type Name Description
    System.String radius

    SetLawControlConstantShapeSkew(String)

    Declaration
    public void SetLawControlConstantShapeSkew(string radius)
    Parameters
    Type Name Description
    System.String radius

    SetLawControlDepthEndRadius(String)

    Declaration
    public void SetLawControlDepthEndRadius(string radius)
    Parameters
    Type Name Description
    System.String radius

    SetLawControlDepthStartRadius(String)

    Declaration
    public void SetLawControlDepthStartRadius(string radius)
    Parameters
    Type Name Description
    System.String radius

    SetLawControlFirstOffsetEndRadius(String)

    Declaration
    public void SetLawControlFirstOffsetEndRadius(string radius)
    Parameters
    Type Name Description
    System.String radius

    SetLawControlFirstOffsetStartRadius(String)

    Declaration
    public void SetLawControlFirstOffsetStartRadius(string radius)
    Parameters
    Type Name Description
    System.String radius

    SetLawControlRhoEndRadius(String)

    Declaration
    public void SetLawControlRhoEndRadius(string radius)
    Parameters
    Type Name Description
    System.String radius

    SetLawControlRhoStartRadius(String)

    Declaration
    public void SetLawControlRhoStartRadius(string radius)
    Parameters
    Type Name Description
    System.String radius

    SetLawControlSecondOffsetEndRadius(String)

    Declaration
    public void SetLawControlSecondOffsetEndRadius(string radius)
    Parameters
    Type Name Description
    System.String radius

    SetLawControlSecondOffsetStartRadius(String)

    Declaration
    public void SetLawControlSecondOffsetStartRadius(string radius)
    Parameters
    Type Name Description
    System.String radius

    SetLawControlShapeSkewEndRadius(String)

    Declaration
    public void SetLawControlShapeSkewEndRadius(string radius)
    Parameters
    Type Name Description
    System.String radius

    SetLawControlShapeSkewStartRadius(String)

    Declaration
    public void SetLawControlShapeSkewStartRadius(string radius)
    Parameters
    Type Name Description
    System.String radius

    SetRho(String)

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  To set the value of the expression modify the expression directly using NXOpen.GeometricUtilities.ConicCrossSection.Rho and NXOpen.Expression.RightHandSide.")]
    public void SetRho(string rho)
    Parameters
    Type Name Description
    System.String rho

    SetSecondOffset(String)

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  To set the value of the expression modify the expression directly using NXOpen.GeometricUtilities.ConicCrossSection.SecondOffset and NXOpen.Expression.RightHandSide.")]
    public void SetSecondOffset(string offset)
    Parameters
    Type Name Description
    System.String offset

    Validate()

    Declaration
    public bool Validate()
    Returns
    Type Description
    System.Boolean

    Implements

    System.Runtime.Remoting.Messaging.IMessageSink
    IComponentBuilder
    In This Article
    Back to top Generated by DocFX